# namespace: matrix
apiVersion: v1
kind: Namespace
metadata:
  name: matrix
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.cmd: kompose convert -o deployment.yaml -n matrix
    kompose.version: 1.31.2 (a92241f79)
  creationTimestamp: null
  labels:
    io.kompose.service: db
  name: db
  namespace: matrix
spec:
  ports:
    - name: "5432"
      port: 5432
      targetPort: 5432
  selector:
    io.kompose.service: db
status:
  loadBalancer: {}

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.cmd: kompose convert -o deployment.yaml -n matrix
    kompose.service.expose: dev-matrix.wayl.one,matrix.k.waylonwalker.com
    kompose.version: 1.31.2 (a92241f79)
  creationTimestamp: null
  labels:
    io.kompose.service: synapse
  name: synapse
  namespace: matrix
spec:
  ports:
    - name: "8008"
      port: 8008
      targetPort: 8008
  selector:
    io.kompose.service: synapse
status:
  loadBalancer: {}

---
apiVersion: v1
kind: Namespace
metadata:
  creationTimestamp: null
  name: matrix
  namespace: matrix
spec: {}
status: {}

---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -o deployment.yaml -n matrix
    kompose.version: 1.31.2 (a92241f79)
  creationTimestamp: null
  labels:
    io.kompose.service: db
  name: db
  namespace: matrix
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: db
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert -o deployment.yaml -n matrix
        kompose.version: 1.31.2 (a92241f79)
      creationTimestamp: null
      labels:
        io.kompose.network/matrix-default: "true"
        io.kompose.service: db
    spec:
      containers:
        - env:
            - name: POSTGRES_INITDB_ARGS
              value: --encoding=UTF-8 --lc-collate=C --lc-ctype=C
            - name: POSTGRES_PASSWORD
              value: synapse
            - name: POSTGRES_USER
              value: synapse
          image: docker.io/postgres:12-alpine
          name: synapse-db
          ports:
            - containerPort: 5432
              protocol: TCP
          resources: {}
          volumeMounts:
            - mountPath: /var/lib/postgresql/data
              name: schemas
      restartPolicy: Always
      volumes:
        - name: schemas
          persistentVolumeClaim:
            claimName: schemas
status: {}

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  creationTimestamp: null
  labels:
    io.kompose.service: schemas
  name: schemas
  namespace: matrix
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 100Mi
status: {}

---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -o deployment.yaml -n matrix
    kompose.service.expose: dev-matrix.wayl.one,matrix.k.waylonwalker.com
    kompose.version: 1.31.2 (a92241f79)
  creationTimestamp: null
  labels:
    io.kompose.service: synapse
  name: synapse
  namespace: matrix
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: synapse
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert -o deployment.yaml -n matrix
        kompose.service.expose: dev-matrix.wayl.one,matrix.k.waylonwalker.com
        kompose.version: 1.31.2 (a92241f79)
      creationTimestamp: null
      labels:
        io.kompose.network/matrix-default: "true"
        io.kompose.service: synapse
    spec:
      containers:
        - image: docker.io/matrixdotorg/synapse:latest
          name: synapse
          ports:
            - containerPort: 8008
              protocol: TCP
          resources: {}
          volumeMounts:
            - mountPath: /data
              name: synapse-data
      restartPolicy: Always
      volumes:
        - name: synapse-data
          persistentVolumeClaim:
            claimName: synapse-data
status: {}

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kompose.cmd: kompose convert -o deployment.yaml -n matrix
    kompose.service.expose: dev-matrix.wayl.one,matrix.k.waylonwalker.com
    kompose.version: 1.31.2 (a92241f79)
  creationTimestamp: null
  labels:
    io.kompose.service: synapse
  name: synapse
  namespace: matrix
spec:
  rules:
    - host: dev-matrix.wayl.one
      http:
        paths:
          - backend:
              service:
                name: synapse
                port:
                  number: 8008
            path: /
            pathType: Prefix
    - host: matrix.k.waylonwalker.com
      http:
        paths:
          - backend:
              service:
                name: synapse
                port:
                  number: 8008
            path: /
            pathType: Prefix
status:
  loadBalancer: {}

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  creationTimestamp: null
  labels:
    io.kompose.service: synapse-data
  name: synapse-data
  namespace: matrix
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 100Mi
status: {}
